Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > ISPConfig 3 > General

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 7th April 2010, 15:24
Corvinus Corvinus is offline
Junior Member
 
Join Date: Mar 2010
Posts: 14
Thanks: 0
Thanked 4 Times in 3 Posts
Default ClamAV OUTDATED monitor warning.

Hi

I'm getting a warning from the monitor page that my ClamAV protection is outdated. When I look at how the clamfresh is updating my definitions, it shows it running as a daemon with this command:

"/usr/sbin/freshclam -d --quiet"

However, the freshclam manual says that if you run it as daemon, you should run it with the --check flag as well, is this why it's not updating now? Or should it be enough that "check" variable is defined in /etc/clamav/freshclam.conf?

Kind regards,
Jonny
Reply With Quote
Sponsored Links
  #2  
Old 7th April 2010, 17:55
Antennipasi Antennipasi is offline
ISPConfig Developer
 
Join Date: Dec 2008
Location: Finland
Posts: 67
Thanks: 6
Thanked 13 Times in 12 Posts
Default

Quote:
Originally Posted by Corvinus View Post
I'm getting a warning from the monitor page that my ClamAV protection is outdated.
This is a common situation with ClamAV.
Usually in logs is message "WARNING: Local version: 0.95.3 Recommended version: 0.96" or something similar, and is caused only because fast developing cycle (which is good thing, of course). Message tells about main binary version only, virus definitions are still up-to-date.

In Debian, enable Volatile-repo, http://www.debian.org/volatile/ which will deliver updated version as soon as possible.

For other Linux-distribution, maybe someone else knows cure...
Reply With Quote
  #3  
Old 7th April 2010, 18:36
Corvinus Corvinus is offline
Junior Member
 
Join Date: Mar 2010
Posts: 14
Thanks: 0
Thanked 4 Times in 3 Posts
Default

I've updated apt-get with volatile already before upgrading other packages, it did not help. It never even suggested a newer ClamAV version.
Reply With Quote
  #4  
Old 7th April 2010, 18:50
Antennipasi Antennipasi is offline
ISPConfig Developer
 
Join Date: Dec 2008
Location: Finland
Posts: 67
Thanks: 6
Thanked 13 Times in 12 Posts
Default

Quote:
Originally Posted by Corvinus View Post
I've updated apt-get with volatile already before upgrading other packages, it did not help. It never even suggested a newer ClamAV version.
Current 0.95.3 came from volatile last december, if i remember right.
I am pretty sure 0.96 will appear in few weeks or so, couple weeks after mainstream, as usual.

Again, there is nothing to worry about, it is jut annoying and unnecessary warning. I try to find time to take care of it in monitor module.
Reply With Quote
The Following User Says Thank You to Antennipasi For This Useful Post:
DaRKNeSS666NL (22nd May 2010)
  #5  
Old 7th April 2010, 18:57
Corvinus Corvinus is offline
Junior Member
 
Join Date: Mar 2010
Posts: 14
Thanks: 0
Thanked 4 Times in 3 Posts
Default

Ok thx, I see the problem now. I'll safely ignore it until the next version gets included in the apt source.
Reply With Quote
  #6  
Old 22nd May 2010, 18:38
DaRKNeSS666NL DaRKNeSS666NL is offline
Senior Member
 
Join Date: Nov 2006
Posts: 208
Thanks: 17
Thanked 5 Times in 4 Posts
Default

Thanks for this post I had the same worry's about that warning.
So if I am reading it correct the
Code:
main.cvd is up to date
is the virus database.
__________________
Updating my server to Debian Squeeze, so here I go again...
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
phpmyadmin and squirrelmail are 404 & ClamAV is outdated kvand General 22 16th July 2009 15:24
WARNING: Your ClamAV installation is OUTDATED! foxfirediego General 2 20th June 2009 14:49
debian etch courier pop3 issue docean Installation/Configuration 6 20th March 2008 16:38
WARNING: Your ClamAV installation is OUTDATED! klonos HOWTO-Related Questions 16 15th October 2007 01:23
ClamAV for postfix-courier-mysql (Debian - Sarge) toastmaster HOWTO-Related Questions 2 24th February 2006 20:00


All times are GMT +2. The time now is 07:48.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.